#!/bin/bash

# Identify the serial device
PORT=$(ls /dev/ttyACM* /dev/ttyUSB* 2>/dev/null | head -n 1)

# Check if a port was found
if [ -z "$PORT" ]; then
    echo "No serial console device found. Please check the connection."
    exit 1
fi

# Display the identified port
echo "Serial device found at: $PORT"

# Start a screen session
echo "Starting screen on $PORT at 9600 baud..."
sudo screen "$PORT" 9600